//	KaleidoTileIDs.h
//
//	© 2010 by Jeff Weeks
//	See TermsOfUse.txt

//	icon

#define IDI_ICON	0x0001

//	cursors

#define IDU_CURSOR_FLAT		0x0001
#define IDU_CURSOR_GRAB		0x0002
#define IDU_CURSOR_POINT	0x0003

//	dialogs

#define IDD_PREFERENCES_DIALOG			0x0010
#define IDD_PREFS_PERSPECTIVE_DIALOG	0x0011
#define IDD_PREFS_ADVANCED_DIALOG		0x0012
#define IDD_SYMMETRY_DIALOG				0x0020

//	controls

//	winuser.h defines IDOK, IDCANCEL, etc.

//	preference panel controls

#define IDC_PREFS_TAB_CONTROL						0x0100

#define IDC_PREFS_PERSPECTIVE_GENERAL_LABEL			0x0100
#define IDC_PREFS_PERSPECTIVE_WINDOW_WIDTH_LABEL	0x0110
#define IDC_PREFS_PERSPECTIVE_WINDOW_WIDTH			0x0111
#define IDC_PREFS_PERSPECTIVE_WINDOW_DISTANCE_LABEL	0x0120
#define IDC_PREFS_PERSPECTIVE_WINDOW_DISTANCE		0x0121
#define IDC_PREFS_PERSPECTIVE_STEREO_LABEL			0x0130
#define IDC_PREFS_PERSPECTIVE_EYE_SPACING_LABEL		0x0140
#define IDC_PREFS_PERSPECTIVE_EYE_SPACING			0x0141
#define IDC_PREFS_PERSPECTIVE_EYE_SPACING_UNIT		0x0142

#define IDC_PREFS_ADVANCED_FRAME_RATE				0x0100
#define IDC_PREFS_ADVANCED_SYNC_TO_MONITOR			0x0101
#define IDC_PREFS_ADVANCED_MULTISAMPLING			0x0102
#define IDC_PREFS_ADVANCED_SHADERS					0x0103

//	symmetry dialog controls

#define IDC_SYMMETRY_BASE	0x0100
#define IDC_SYMMETRY_P		(IDC_SYMMETRY_BASE + 0)
#define IDC_SYMMETRY_Q		(IDC_SYMMETRY_BASE + 1)
#define IDC_SYMMETRY_R		(IDC_SYMMETRY_BASE + 2)

//	error messages

#define	IDS_MISSING_FILES_TITLE_EN		0x0000
#define	IDS_MISSING_FILES_MESSAGE_EN	0x0001

#define	IDS_MISSING_FILES_TITLE_FR		0x0002
#define	IDS_MISSING_FILES_MESSAGE_FR	0x0003

#define	IDS_MISSING_FILES_TITLE_IT		0x0004
#define	IDS_MISSING_FILES_MESSAGE_IT	0x0005

#define	IDS_MISSING_FILES_TITLE_JA		0x0006
#define	IDS_MISSING_FILES_MESSAGE_JA	0x0007

#define	IDS_MISSING_FILES_TITLE_PT		0x0008
#define	IDS_MISSING_FILES_MESSAGE_PT	0x0009

